Get structured citation metadata for a deal
GET
/api/canvas/{deal_id}/citation-metadata
const url = 'https://example.com/api/canvas/example/citation-metadata?force_refresh=false';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/canvas/example/citation-metadata?force_refresh=false' \ --header 'Authorization: Bearer <token>'Returns structured citation metadata including:
- Per-footnote metadata (confidence, source doc, page/sheet, type)
- Per-section citation health grades
- Source document registry
Cached in Redis for 60s. Pass force_refresh=true to bypass cache.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Query Parameters
Section titled “Query Parameters ” force_refresh
Force Refresh
boolean
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}